CREATE TABLE djax_device_target (
  device_id SERIAL PRIMARY KEY,
  device_name VARCHAR(255) NOT NULL,
  parent_device_id VARCHAR(10) NOT NULL DEFAULT '0',
  is_blocked INT NOT NULL DEFAULT 0
);

CREATE TABLE rv_Data_bkt_Devicetype_m (
  interval_start TIMESTAMP NOT NULL,
  creative_id INT NOT NULL,
  zone_id INT NOT NULL,
  device_type CHAR(11) NOT NULL DEFAULT '',
  count INT NOT NULL DEFAULT 0,
  revenue DECIMAL(10,4),
  PRIMARY KEY (interval_start, creative_id, zone_id, device_type)
);

CREATE TABLE rv_Data_bkt_Devicetype_c (
  interval_start TIMESTAMP NOT NULL,
  creative_id INT NOT NULL,
  zone_id INT NOT NULL,
  device_type CHAR(11) NOT NULL DEFAULT '',
  count INT NOT NULL DEFAULT 0,
  revenue DECIMAL(10,4),
  PRIMARY KEY (interval_start, creative_id, zone_id, device_type)
);

CREATE TABLE rv_Stats_Devicetype (
  stats_devicetype_id BIGSERIAL PRIMARY KEY,
  date_time TIMESTAMP NOT NULL,
  creative_id INT NOT NULL,
  zone_id INT NOT NULL,
  impressions INT NOT NULL DEFAULT 0,
  clicks INT NOT NULL DEFAULT 0,
  device_type CHAR(11) NOT NULL DEFAULT '',
  requests INT NOT NULL DEFAULT 0,
  total_revenue DECIMAL(10,4)
);

CREATE INDEX idx_rv_Stats_Devicetype_date_time ON rv_Stats_Devicetype (date_time);
CREATE INDEX idx_rv_Stats_Devicetype_creative_id_date_time ON rv_Stats_Devicetype (creative_id, date_time);
CREATE INDEX idx_rv_Stats_Devicetype_zone_id_date_time ON rv_Stats_Devicetype (zone_id, date_time);


CREATE TABLE rv_profile (
  profileid SERIAL PRIMARY KEY,
  name VARCHAR(255) NOT NULL
);

CREATE TABLE rv_custom_profile_c (
  interval_start TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  ad_id INT NOT NULL,
  zone_id INT NOT NULL,
  userid VARCHAR(100) NOT NULL,
  variable VARCHAR(255) NOT NULL,
  value VARCHAR(255) NOT NULL,
  revenue FLOAT NOT NULL,
  count INT NOT NULL
);

CREATE TABLE rv_custom_profile_m (
  interval_start TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  ad_id INT NOT NULL,
  zone_id INT NOT NULL,
  userid VARCHAR(100) NOT NULL,
  variable VARCHAR(255) NOT NULL,
  value VARCHAR(255) NOT NULL,
  revenue FLOAT NOT NULL,
  count INT NOT NULL
);

CREATE TABLE rv_custom_profile_summary (
  date_time TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  ad_id INT NOT NULL,
  zone_id INT NOT NULL,
  variable VARCHAR(255) NOT NULL,
  value VARCHAR(255) NOT NULL,
  impressions INT NOT NULL,
  clicks INT NOT NULL,
  revenue FLOAT NOT NULL
);
