<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
/*
+---------------------------------------------------------------------------+
| Revive Adserver                                                           |
| http://www.revive-adserver.com                                            |
|                                                                           |
| Copyright: See the COPYRIGHT.txt file.                                    |
| License: GPLv2 or later, see the LICENSE.txt file.                        |
+---------------------------------------------------------------------------+
*/

/**
 * @package    OpenXPlugin
 * @subpackage DeliveryLimitations
 * @author     Chris Nutting <chris@m3.net>
 * @author     Andrzej Swedrzynski <andrzej.swedrzynski@m3.net>
 */

require_once MAX_PATH . '/lib/max/Delivery/limitations.delivery.php';

/**
 * Check to see if this impression contains the valid country.
 *
 * @param string $limitation The country (or comma list of countries) limitation
 * @param string $op The operator (either '==' or '!=')
 * @param array $aParams An array of additional parameters to be checked
 * @return boolean Whether this impression's country passes this limitation's test.
 */
function MAX_checkClient_Profile($limitation, $op, $aParams = array())
{
	$details = explode("|",$limitation);
		
	if(!empty($_REQUEST[$details[0]]))
	{ 
		
		$det = trim($_REQUEST[$details[0]]);
				
		$alldetails = explode(",",$details[1]);
		//if(in_array($det,$alldetails)) {
			foreach($alldetails as $deta) {
				$res = MAX_checkDevice_Profiles($det, $deta, $op);
				if($res == 1) {
					return $res;
				} else {
					continue;
				}
			}  
						
		//}
 		
	}
	else
	{
		return false;
	}
}


